/**
 * Copyright 2008,2009 Ivan SZKIBA
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * under the License.
 */

package net.sourceforge.tink.model;

public interface Output
{
    boolean isDebugEnabled();

    boolean isErrorEnabled();

    boolean isInfoEnabled();

    boolean isVerboseEnabled();

    boolean isWarningEnabled();

    void debug(String message, Object... params);

    void debug(Throwable cause, String message, Object... params);

    void error(String message, Object... params);

    void error(Throwable cause, String message, Object... params);

    void info(String message, Object... params);

    void info(Throwable cause, String message, Object... params);

    void verbose(String message, Object... params);

    void verbose(Throwable cause, String message, Object... params);

    void warning(String message, Object... params);

    void warning(Throwable cause, String message, Object... params);
}
