/**
 * Copyright 2008,2009 Ivan SZKIBA
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * under the License.
 */

package net.sourceforge.tink.model;

import org.w3c.dom.Document;

public class TemplateData
{
    private final Document config;
    private final TinkContext context;
    private Page page;
    private final TinkUtil util;

    public TemplateData(TinkContext context, TinkUtil util, Document config)
    {
        this.context = context;
        this.util = util;
        this.config = config;
    }

    public Document getConfig()
    {
        return config;
    }

    public TinkContext getContext()
    {
        return context;
    }

    public Page getPage()
    {
        return page;
    }

    public void setPage(Page value)
    {
        page = value;
    }

    public TinkUtil getUtil()
    {
        return util;
    }
}
