/**
 * Copyright 2008,2009 Ivan SZKIBA
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * under the License.
 */

package net.sourceforge.tink.model.helpers;

import net.sourceforge.tink.model.Output;
import net.sourceforge.tink.model.TinkException;
import net.sourceforge.tink.model.TinkPublisher;

public class PublisherBuilder extends AbstractBuilder
{
    private final Config config;

    public PublisherBuilder(Config config)
    {
        this.config = config;
    }

    public TinkPublisher buildPublisher() throws TinkException
    {
        requireValue(config.getRemote(), "remote");
        requireDirectory(config.getLocal(), "local", "Source");
        requireValue(config.getPassword(), "password");
        requireValue(config.getUser(), "user");
        TinkPublisher publisher = TinkPublisher.newInstance();

        publisher.setConfig(config);
        publisher.setOutput(config.getOutput());

        return publisher;
    }

    public static interface Config extends TinkPublisher.Config
    {
        Output getOutput();
    }
}
